/**
 * @file
 * Defines Javascript behaviors for the tocify module.
 */

(function ($, Drupal, drupalSettings) {

  'use strict';

  Drupal.behaviors.nodeDetailsSummaries = {
    attach: function (context) {
      $('.table-of-contents').once().each(function (index) {
        $(this).tocify({
          theme: $(this).data('theme'),
          context: $(this).data('context'),
          selectors: $(this).data('selectors'),
          showAndHide: $(this).data('show-and-hide'),
          showEffect: $(this).data('show-effect'),
          showEffectSpeed: $(this).data('show-effect-speed'),
          hideEffect: $(this).data('hide-effect'),
          hideEffectSpeed: $(this).data('hide-effect-speed'),
          smoothScroll: $(this).data('smooth-scroll'),
          scrollTo: $(this).data('scroll-to'),
          showAndHideOnScroll: $(this).data('show-and-hide-on-scroll'),
          highlightOnScroll: $(this).data('highlight-on-scroll'),
          highlightOffset: $(this).data('highlight-offset'),
          extendPage: $(this).data('extend-page'),
          extendPageOffset: $(this).data('extend-page-offset'),
          history: $(this).data('history'),
          hashGenerator: $(this).data('hash-generator'),
          highlightDefault: $(this).data('highlight-default'),
          ignoreSelector: $(this).data('ignore-selector'),
          scrollHistory: $(this).data('scroll-history')
        }).parent().parent()
          .css('overflow', 'auto')
          .css('height', '80%');
      });
    }
  };

})(jQuery, Drupal, drupalSettings);
